atkmm: Atk::Relation Class Reference

atkmm 2.36.3

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Atk::Relation Class Reference

An Atk::Relation describes a relation between an object and one or more other objects. More...

`#include <atkmm/relation.h>`

Inheritance diagram for Atk::Relation:
[legend]

## Public Types
enum class | Type { Type::NONE , Type::CONTROLLED_BY , Type::CONTROLLER_FOR , Type::LABEL_FOR , Type::LABELLED_BY , Type::MEMBER_OF , Type::NODE_CHILD_OF , Type::FLOWS_TO , Type::FLOWS_FROM , Type::SUBWINDOW_OF , Type::EMBEDS , Type::EMBEDDED_BY , Type::POPUP_FOR , Type::PARENT_WINDOW_OF , Type::DESCRIBED_BY , Type::DESCRIPTION_FOR , Type::NODE_PARENT_OF , Type::DETAILS , Type::DETAILS_FOR , Type::ERROR_MESSAGE , Type::ERROR_FOR , Type::LAST_DEFINED }
| Describes the type of the relation. More...

## Public Member Functions
| Relation (Relation && src) noexcept
Relation & | operator= (Relation && src) noexcept
| ~Relation () noexcept override
AtkRelation * | gobj ()
| Provides access to the underlying C GObject.
const AtkRelation * | gobj () const
| Provides access to the underlying C GObject.
AtkRelation * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Type | get_relation_type () const
| Gets the type of relation.
std::vector< Glib::RefPtr< Atk::Object > > | get_target ()
std::vector< Glib::RefPtr< const Atk::Object > > | get_target () const
void | add_target (const Glib::RefPtr< Atk::Object > & target)
| Adds the specified AtkObject to the target for the relation, if it is not already present.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< Relation > | create (const std::vector< Glib::RefPtr< Atk::Object > > & targets, Type relationship=Type::NONE)

## Protected Member Functions
| Relation (const std::vector< Glib::RefPtr< Atk::Object > > & targets, Relation::Type relationship)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Atk::Relation > | wrap (AtkRelation * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An Atk::Relation describes a relation between an object and one or more other objects.

The actual relations that an object has with other objects are defined as an Atk::RelationSet, which is a set of Atk::Relations.

## Constructor & Destructor Documentation

## ◆ Relation() [1/2]

Atk::Relation::Relation | ( | Relation && | src | ) |
| noexcept

## ◆ ~Relation()

Atk::Relation::~Relation | ( |  | ) |
| overridenoexcept

## ◆ Relation() [2/2]

Atk::Relation::Relation | ( | const std::vector< Glib::RefPtr< Atk::Object > > & | targets,
|  | Relation::Type | relationship )
| explicitprotected

## Member Function Documentation

## ◆ add_target()

void Atk::Relation::add_target | ( | const Glib::RefPtr< Atk::Object > & | target | ) |

Adds the specified AtkObject to the target for the relation, if it is not already present.

See also Atk::Object::add_relationship().

Since atkmm 1.9

Parameters

  target | An Atk::Object.

## ◆ create()

static Glib::RefPtr< Relation > Atk::Relation::create | ( | const std::vector< Glib::RefPtr< Atk::Object > > & | targets,
|  | Type | relationship = Type::NONE )
| static

## ◆ get_relation_type()

Type Atk::Relation::get_relation_type | ( |  | ) | const

Gets the type of relation.

Returns
  The type of relation.

## ◆ get_target() [1/2]

std::vector< Glib::RefPtr< Atk::Object > > Atk::Relation::get_target | ( |  | ) |

## ◆ get_target() [2/2]

std::vector< Glib::RefPtr< const Atk::Object > > Atk::Relation::get_target | ( |  | ) | const

## ◆ get_type()

static GType Atk::Relation::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

AtkRelation * Atk::Relation::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const AtkRelation * Atk::Relation::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

AtkRelation * Atk::Relation::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

Relation & Atk::Relation::operator= | ( | Relation && | src | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Atk::Relation > wrap | ( | AtkRelation * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.